create table Apple( 
	AppleID int(2) not null,
	AppleName varchar(64) unique,
	AppleDate timestamp not null
);
alter table Apple add primary key (AppleID, AppleDate);
create table Apricot( 
	ApricotID int(2) not null,
	ApricotName varchar(64),
	ApricotDate timestamp,
	ApricotPieces int(2),
	ApricotDesc varchar(64)
);
alter table Apricot add primary key (ApricotID);
create table Peach( 
	PeachID int(2) not null,
	PeachName varchar(64) unique,
	PeachNo int(4)
);
alter table Peach add primary key (PeachID);
create table Apricot_Peach_Link( 
	ApricotID int(2) not null,
	PeachID int(2) not null
);
alter table Apricot_Peach_Link add primary key (ApricotID, PeachID);
create table Apple_Apricot_link( 
	AppleID int(2) unique,
	ApricotID_FK int(2) not null unique,
	AppleDate timestamp not null
);
create table Peach_archive( 
	PeachID_FK int(2) unique,
	PeachName varchar(64),
	PeachNo int(4) unique
);
alter table Apple_Apricot_link add foreign key  (ApricotID_FK) references Apricot (ApricotID);
alter table Apricot_Peach_Link add foreign key  (ApricotID) references Apricot (ApricotID);
alter table Apple_Apricot_link add foreign key  (AppleID, AppleDate) references Apple (AppleID, AppleDate);
alter table Peach_archive add foreign key  (PeachID_FK) references Peach (PeachID);
alter table Apricot_Peach_Link add foreign key  (PeachID) references Peach (PeachID);
